## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream removed their tests. 🤔
%bcond_with     tests

%global         srcname     azure-mgmt-loganalytics

Name:           python-%{srcname}
Version:        13.0.0~b4
%global         pypi_version    13.0.0b4
Release:        %autorelease
Summary:        Microsoft Azure Log Analytics Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Log Analytics Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure



%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:13.0.0~b4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:13.0.0~b4-11
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:13.0.0~b4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:13.0.0~b4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:13.0.0~b4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:13.0.0~b4-7
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:13.0.0~b4-6
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:13.0.0~b4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:13.0.0~b4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:13.0.0~b4-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:13.0.0~b4-2
- Rebuilt for Python 3.11

* Tue Apr 26 2022 Major Hayden <major@mhtx.net> - 1:13.0.0~b4-1
- Update to 13.0.0b4

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 1:13.0.0~b2-1
- Update to 13.0.0b2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:12.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> - 1:12.0.0-1
- Update to 12.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:11.0.0-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:11.0.0-1
- Update to 11.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-1
- Add epoch number for 8.0.0 downgrade

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 11.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 11.0.0-2
- Remove %%{python3_pkgversion}

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 11.0.0-1
- Update to 11.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 10.0.0-1
- Initial import (#1971769)
## END: Generated by rpmautospec
